# -*- coding: utf-8 -*-
# This file is part of the edocument-module for Tryton from m-ds.de.
# The COPYRIGHT file at the top level of this repository contains the
# full copyright notices and license terms.

from trytond.pool import Pool
from .edocument import XRechnung, FacturX
from .bank import AccountNumber
from .party import Party, PartyIdentifier
from .configuration import Configuration, BankEdocumentRel


def register():
    Pool.register(
        AccountNumber,
        XRechnung,
        Configuration,
        BankEdocumentRel,
        FacturX,
        Party,
        PartyIdentifier,
        module='edocument_xrechnung', type_='model')
